Vai al contenuto

# EVENTI_AI_TRG

## Informazioni

- Tabella: EVENTI
- Evento: INSERT
- Tipo: AFTER EACH ROW
- Stato: ENABLED

## Codice Sorgente

    TRIGGER "APOLLINARECATERINGPROD"."EVENTI_AI_TRG"
    AFTER INSERT ON EVENTI
    FOR EACH ROW
    BEGIN

      if inserting  then

    --    execute immediate 'alter trigger "APCB"."EVENTI_DET_OSPITI_TRG_AI" disable';

        --default su righe ospiti
        INSERT INTO eventi_det_ospiti (
                                        id_evento,
                                        cod_tipo_ospite,
                                        numero,
                                        note,
                                        ordine
                                      )
        SELECT  :NEW.ID, 5, 0, '', 2 FROM DUAL
        UNION
        SELECT  :NEW.ID, 6, 0, '', 3 FROM DUAL
        UNION
        SELECT  :NEW.ID, 7, 0, '', 4 FROM DUAL
        UNION
        SELECT  :NEW.ID, 8, 0, '', 1 FROM DUAL;

      end if;

    END;